{
  config,
  lib,
  pkgs,
  inputs,
  system,
  sources,
  ...
}: let
  cfg = config.mods;
in {
  # Hardware
  imports = [./hardware-configuration.nix ./openrgb.nix];

  environment.systemPackages = with inputs.nix-alien.packages.${system}; [
    nix-alien
    pkgs.r2modman
    pkgs.lutris
    pkgs.godot
    pkgs.rustdesk-flutter
    pkgs.motion
    pkgs.qmk
    pkgs.gnumeric
  ];

  # System
  mods.user.name = "muon";
  networking.hostName = cfg.user.name;
  networking.hostId = "a230906f";
  mods.home.file = ./home.nix;
  nix.settings.trusted-users = ["root" "muon"];

  # Modules
  mods.desktop.enable = true;
  mods.desktop.wayland.enable = false;
  mods.desktop.gaming.enable = true;
  mods.boot.enable = true;

  mods.theme.enable = true;
  mods.theme.scheme = "woodland";
  mods.theme.wallpaper = ./wallpaper.png;

  mods.containers.steam.enable = false;
  mods.server.astral.enable = false;
  mods.server.astral.autoStart = false;
  mods.server.nvr.enable = false;

  mods.docker.enable = true;
  mods.docker.media.enable = false;

  mods.server.sync.enable = true;
  mods.tailscale.enable = true;
  mods.openvpn.enable = false;
  mods.wireguard.id = 2;
  mods.i2p.enable = true;

  services.xserver.windowManager.i3.enable = true;
  services.actual.enable = true;

  virtualisation.virtualbox.host.enable = true;
  users.extraGroups.vboxusers.members = ["user-with-access-to-virtualbox"];

  services.picom.enable = true;
  services.picom.opacityRules = ["50:name *= '^Cheat$'"];

  # Proprietary </3
  mods.unfree.steam.enable = true;
  mods.unfree.nvidia.enable = true;
  mods.unfree.minecraft.enable = true;

  # Hardware preferences

  ## Mouse
  services.libinput.mouse.accelProfile = "flat";

  ## Keyboard
  hardware.keyboard.qmk.enable = true;

  ## Monitors
  mods.monitors = {
    primary = {
      name = "DP-2";
      config = {
        enable = true;
        mode = "2560x1440";
        position = "0x480";
        primary = true;
        rate = "144.00";
      };
    };
    secondary = {
      name = "HDMI-1";
      config = {
        enable = true;
        mode = "1920x1080";
        position = "2560x0";
        rate = "60.00";
        rotate = "right";
      };
    };
  };

  # Version of first install
  system.stateVersion = "23.05";
}
